import React, { Component } from 'react';
import { View, Text, TextInput, TouchableOpacity, Platform,TouchableHighlight } from 'react-native';
import { colors } from '../assets/styles/colors-theme';
import { width, height } from '../services/screen';

class CustomLoginButton extends Component {
  render() {
    return (
      <TouchableOpacity
        onPress={() => this.props.onPress && this.props.onPress()}
        style={{
          backgroundColor:
            this.props.color != null ? this.props.color : colors.buttonColor,
          height: 50,
          borderRadius: 15,
          width: width / this.props.width,
          justifyContent: 'center',
          alignItems: 'center',
          marginTop: 10,
        }}>
        <Text
          style={{
            color:
              this.props.textColor != null ? this.props.textColor : 'white',
            fontSize: 20,
          }}>
          {this.props.title}
        </Text>
      </TouchableOpacity>
    );
  }
}
export default CustomLoginButton;
